### Property

# Clutter Text:input-purpose

#### Declaration

    property input-purpose: Clutter.InputContentPurpose [ read, write ]

#### Description

No description available.

Type:`ClutterInputContentPurpose`

Default value | CLUTTER_INPUT_CONTENT_PURPOSE_NORMAL
Getter method | `clutter_text_get_input_purpose()`
Setter method | `clutter_text_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no